> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metrics associated with all runs of this experiment, current and past. 



## OpenAPI

````yaml /api-reference/4.2/service-experiments.json get /experiments/{id}/metrics
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service experiments
servers:
  - url: /api/apollo/
security: []
tags:
  - name: experiments
paths:
  /experiments/{id}/metrics:
    get:
      tags:
        - 4.2 Experiments API
      summary: >-
        Get metrics associated with all runs of this experiment, current and
        past. 
      operationId: getMetrics
      parameters:
        - name: id
          in: path
          description: The experiment ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExperimentMetricResponse'
components:
  schemas:
    ExperimentMetricResponse:
      type: object
      properties:
        experimentStartDate:
          type: string
          format: date-time
          readOnly: true
        experimentEndDate:
          type: string
          format: date-time
          readOnly: true
        dataStartDate:
          type: string
          format: date-time
          readOnly: true
        dataEndDate:
          type: string
          format: date-time
          readOnly: true
        runId:
          type: string
          readOnly: true
        totalRequests:
          type: integer
          format: int64
          readOnly: true
        requestsInExperiment:
          type: integer
          format: int64
          readOnly: true
        confidence:
          type: number
          format: double
          readOnly: true
        results:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentMetricVariantResult'
    ExperimentMetricVariantResult:
      type: object
      properties:
        variantName:
          type: string
          readOnly: true
        results:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentMetricResult'
        requests:
          type: integer
          format: int64
          readOnly: true
        percentRequests:
          type: number
          format: double
          readOnly: true
    ExperimentMetricResult:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        values:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/DateAndValue'
        probabilityOfBeating:
          type: number
          format: double
          readOnly: true
        p:
          type: number
          format: double
          readOnly: true
        confidence:
          type: number
          format: double
          readOnly: true
    DateAndValue:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          readOnly: true
        value:
          type: number
          format: double
          readOnly: true

````